<div class="row">
  <div class="col-md-12">
    <div class="card">
      <div class="card-header">
        <h5 class="title">{{ title | translate }}</h5>
      </div>
      <div class="card-body">
        <form novalidate [formGroup]="form" (ngSubmit)="submit(form)">
          <div class="row d-flex justify-content-center">
            <div class="col-lg-6">
              <div class="row">
                <!-- username -->
                <div class="col-md-12 col-lg-6" *ngIf="!isAdmin">
                  <div class="form-group">
                    <label class="required">{{ 'user.username' | translate }}</label>
                    <input name="input" formControlName="input" type="text" maxlength="250" class="form-control" required placeholder="{{ 'user.username' | translate }}">
                    <span class="feedback text-danger" *ngIf="form.controls['input'].invalid && form.controls['input'].touched">{{ 'feedback.required' | translate }}</span>
                  </div>
                </div>
                <!-- mobile -->
                <div class="col-md-12 col-lg-6" *ngIf="isAdmin">
                  <div class="form-group">
                    <label class="required">{{ 'user.mobile' | translate }}</label>
                    <input name="mobile" type="text" class="form-control" formControlName="mobile" maxlength="11" required placeholder="{{ 'user.mobile' | translate }}">
                    <span class="feedback" *ngIf="form.controls['mobile'].invalid && form.controls['mobile'].touched">{{ 'feedback.required' | translate }}</span>
                    <span class="feedback" *ngIf="form.controls['mobile'].hasError('pattern')">{{'feedback.pattern' | translate }}</span>
                  </div>
                </div>
                <!-- fullname -->
                <div class="col-md-12 col-lg-6">
                  <div class="form-group">
                    <label class="required">{{ 'user.fullname' | translate }}</label>
                    <input type="text" name="fullname" class="form-control" required maxlength="250" formControlName="fullname" placeholder="{{ 'user.fullname' | translate }}">
                    <span class="feedback" *ngIf="form.controls['fullname'].invalid && form.controls['fullname'].touched">{{ 'feedback.required' | translate }}</span>
                  </div>
                </div>
                <!-- password -->
                <div class="col-md-12 col-lg-6">
                  <div class="form-group">
                    <label class="required">{{ 'user.password' | translate }}</label>
                    <input type="password" name="password" formControlName="password" minlength="6" maxlength="18" required class="form-control" placeholder="{{ 'user.password' | translate }}">
                    <span class="feedback" *ngIf="form.controls['password'].hasError('required') && form.controls['password'].touched">{{
                      'feedback.required' | translate }}</span>
                    <span class="feedback" *ngIf="form.controls['password'].hasError('pattern') && form.controls['password'].touched">{{
                      'feedback.password' | translate }}</span>
                  </div>
                </div>
                <!-- is admin -->
                <div class="col-md-12 col-lg-6">
                  <div class="form-check pt-4">
                    <label class="form-check-label">
                      <input class="form-check-input" type="checkbox" (change)="adminToggle($event)">
                      <span class="form-check-sign">
                        <span class="check"></span>
                      </span>
                      <label for="">{{ 'user.is_admin' | translate }}</label>
                    </label>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
      <div class="card-footer">
        <div class="row d-flex justify-content-center">
          <!-- buttons -->
          <div class="col-md-10 mt">
            <div class="row">
              <div class="col-lg-6">
                <div class="col-md-12 d-flex justify-content-end">
                  <button type="button" (click)="submit(form)" class="btn-primary mx-2">{{ 'operation.submit' | translate }}</button>
                  <a type="button" routerLink="/panel/users" class="btn-outline">{{ 'operation.back' | translate }}</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>